# Simple make file for the Xc Control Panel Widget Set and accompanying
# test program.  Use this only if you can't get the Imakefile to work.
# The widget object files are archived into the $(XCLIB) library; use the 
# -lXc linker switch to link the widget set with your application code.  
# Change the appropriate variables as necessary.

TARGET = Xctest
XCLIB = libXc.a
SOURCES = Control.c Value.c VButton.c SimpleB.c Slider.c Lcd.c BarGraf.c \
	Led.c ToggleB.c
CTRL_INCLUDES = ControlP.h Control.h 
VAL_INCLUDES = ValueP.h Value.h 
VB_INCLUDES = VButtonP.h VButton.h 
SB_INCLUDES = SimpleBP.h SimpleB.h 
SL_INCLUDES = SliderP.h Slider.h 
LC_INCLUDES = LcdP.h Lcd.h 
BG_INCLUDES = BarGrafP.h BarGraf.h 
LE_INCLUDES = LedP.h Led.h
TG_INCLUDES = ToggleBP.h ToggleB.h
INCLUDES = Xc.h $(CTRL_INCLUDES) $(VAL_INCLUDES) $(VB_INCLUDES) $(SB_INCLUDES) \
	$(SL_INCLUDES) $(LC_INCLUDES) $(BG_INCLUDES) $(LE_INCLUDES) \
	$(TG_INCLUDES)  
OBJS = Control.o Value.o VButton.o SimpleB.o Slider.o Lcd.o BarGraf.o \
	Led.o ToggleB.o
CC = cc 
EXTRACFLAGS = 
CFLAGS = -v -c $(EXTRACFLAGS)
BUILDDIR = .
XLIBTOPDIR = /usr/lib
EXTRALIBS = 
LIBS = -lXc -lXaw -lXmu -lXt -lX11 $(EXTRALIBS)


$(TARGET):	$(XCLIB) Xctest.o 
	$(CC) Xctest.o -L$(BUILDDIR) -L$(XLIBTOPDIR) $(LIBS) -o $(TARGET)

Xctest.o:	Xctest.c
	$(CC) $(CFLAGS) Xctest.c 

$(XCLIB):	$(SOURCES) $(INCLUDES) $(OBJS)
	ar cq $(XCLIB) $(OBJS)
# Some systems require ranlib for a table of contents, uncomment if needed
#	ranlib $(XCLIB)

Control.o:	Control.c $(CTRL_INCLUDES)
	$(CC) $(CFLAGS) Control.c 

Value.o:	Value.c $(VAL_INCLUDES)
	$(CC) $(CFLAGS) Value.c 

VButton.o:	VButton.c $(VB_INCLUDES)
	$(CC) $(CFLAGS) VButton.c 

SimpleB.o:	SimpleB.c $(SB_INCLUDES)
	$(CC) $(CFLAGS) SimpleB.c 

Slider.o:	Slider.c $(SL_INCLUDES)
	$(CC) $(CFLAGS) Slider.c 

Lcd.o:		Lcd.c $(LC_INCLUDES)
	$(CC) $(CFLAGS) Lcd.c 

BarGraf.o:	BarGraf.c $(BG_INCLUDES)
	$(CC) $(CFLAGS) BarGraf.c 

Led.o:		Led.c $(LE_INCLUDES)
	$(CC) $(CFLAGS) Led.c 

ToggleB.o:	ToggleB.c $(TG_INCLUDES)
	$(CC) $(CFLAGS) ToggleB.c 


